Subject: looking for a good LDAP documention

From: Simon Reynolds <[email-masked]>
Date: Fri, 3 Dec 1999 11:39:58 +0100 (MET)

Hi,

I try to implement LDAP support in a little program I made.
However, I don't like to waste the program with all the LDAP
library stuff from the University of Michigan or OpenLDAP.

So I checkout out the LDAP RFC (1777) to make my own little
server implementation (it only should support search support
for LDAP on one level) and I must say its a useless RFC.
It's very abstract and doesn't really tell how client<->server
communicate to each other (responses, typical actions, etc).

Later I found out that LDAP is based on DAP (directory access protocol)
but I didn't find any real specification what is really send via
that protocol either. Did I miss some RFC or Draft who says what
is really send via the protocol?

Best regards,
Simon